Public Member Functions | Public Attributes | List of all members
MacWrtProParserInternal::State Struct Reference

Internal: the state of a MacWrtProParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, long > | m_blocksMap
| the list of retrieved block : block -> new address More...
std::map< int, std::shared_ptr< Zone > > | m_dataMap
| the list of blockId->data zone More...
std::map< int, std::shared_ptr< TextZone > > | m_textMap
| the list of blockId->text zone More...
std::vector< int > | m_blocksCallByTokens
| the list of blockId called by tokens More...
int | m_col
| the number of columns in MWII More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...

## Detailed Description

Internal: the state of a MacWrtProParser.

## Constructor & Destructor Documentation

## ◆ State()

MacWrtProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MacWrtProParserInternal::State::m_actPage

the actual page

## ◆ m_blocksCallByTokens

std::vector<int> MacWrtProParserInternal::State::m_blocksCallByTokens

the list of blockId called by tokens

## ◆ m_blocksMap

std::map<int,long> MacWrtProParserInternal::State::m_blocksMap

the list of retrieved block : block -> new address

## ◆ m_col

int MacWrtProParserInternal::State::m_col

the number of columns in MWII

## ◆ m_dataMap

std::map<int, std::shared_ptr<Zone> > MacWrtProParserInternal::State::m_dataMap

the list of blockId->data zone

## ◆ m_numPages

int MacWrtProParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_textMap

std::map<int, std::shared_ptr<TextZone> > MacWrtProParserInternal::State::m_textMap

the list of blockId->text zone

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx